Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.compiler.bom
Class OnEvent

    java.lang.Object
      org.apache.ode.bpel.compiler.bom.BpelObject
          org.apache.ode.bpel.compiler.bom.OnMessage
              org.apache.ode.bpel.compiler.bom.OnEvent

All Implemented Interfaces:
  SourceLocation, Communication

    public class OnEvent

extends OnMessage

Representation of a message-driven event handler.

Field Summary

Fields inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`ATTR_LINENO`

Constructor Summary
`OnEvent(org.w3c.dom.Element el)`

Method Summary
`javax.xml.namespace.QName` | `getElementType()`
`javax.xml.namespace.QName` | `getMessageType()`

Methods inherited from class org.apache.ode.bpel.compiler.bom.OnMessage
`getActivity, getCorrelations, getMessageExchangeId, getOperation, getPartnerLink, getPortType, getRoute, getVariable`

Methods inherited from class org.apache.ode.bpel.compiler.bom.BpelObject
`createBpelObject, getAttribute, getAttribute, getAttribute, getAttribute, getChildren, getChildren, getChildren, getColumnNo, getElement, getExtensibilityElement, getExtensibilityElements, getFirstChild, getFirstChild, getFirstExtensibilityElementElement, getLineNo, getNamespaceContext, getPath, getTextValue, getType, getURI, is11, is20Draft, isAttributeSet, rewriteTargetNS, setURI, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OnEvent

    public OnEvent(org.w3c.dom.Element el)

Method Detail

### getMessageType

    public javax.xml.namespace.QName getMessageType()

  Returns:
    the WSDL message type to be used for the incoming message body or `null` if an element type is to be used instead.
  See Also:
    `BpelObject.getElement()`

### getElementType

    public javax.xml.namespace.QName getElementType()

  Returns:
    the element type to be used for the incoming message body or `null` if a WSDL message type is to be used instead.
  See Also:
    `getMessageType()`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD